//
//  FNBaseFlutterViewController.m
//  Runner
//
//  Created by FNUser on 2020/10/28.
//

#import "FNBaseFlutterViewController.h"

@interface FNBaseFlutterViewController ()


@end

@implementation FNBaseFlutterViewController


- (void)viewDidLoad {
    [super viewDidLoad];
    UIWindow *window = [UIApplication sharedApplication].delegate.window;
    UINavigationController *navController = [[UINavigationController alloc] initWithRootViewController:self];
    window.rootViewController = navController;
    navController.navigationBar.hidden = YES;
    
}

- (void)viewWillDisappear:(BOOL)animated {
    [super viewWillDisappear:animated];
    [self.navigationController setNavigationBarHidden:NO animated:animated];
}

- (void)viewWillAppear:(BOOL)animated {
    [super viewWillAppear:animated];
    [self.navigationController setNavigationBarHidden:YES animated:animated];
}


@end
