import 'package:zhiying_comm/zhiying_comm.dart';

class CustomShareContentModel extends SkipModel {
  String name;
  String desc;
  String text;
  String moduleType;
  String moduleKey;
  String isTopMargin;
  String isLeftRightMargin;
  String isShow;
  String topMargin;
  String leftRightMargin;
  String topLeftRadius;
  String topRightRadius;
  String bottomLeftRadius;
  String bottomRightRadius;
  String bgColor;
  String isShowShareFriend;
  String bgImage;
  String bgImageUrl;
  String titleImage;
  String titleImageUrl;
  String copyImage;
  String copyImageUrl;
  String copyLongImage;
  String copyLongImageUrl;
  String shareImage;
  String shareImageUrl;
  String textColor;
  String skipName;
  String cateTag;
  String cardBgColor;
  String cardBorderColor;
  String scaleImage;
  String scaleImageUrl;

  CustomShareContentModel({
    this.name,
    this.desc,
    this.text,
    this.moduleType,
    this.moduleKey,
    this.isTopMargin,
    this.isLeftRightMargin,
    this.isShow,
    this.topMargin,
    this.leftRightMargin,
    this.topLeftRadius,
    this.topRightRadius,
    this.bottomLeftRadius,
    this.bottomRightRadius,
    this.bgColor,
    this.isShowShareFriend,
    this.bgImage,
    this.bgImageUrl,
    this.titleImage,
    this.titleImageUrl,
    this.copyImage,
    this.copyImageUrl,
    this.copyLongImage,
    this.copyLongImageUrl,
    this.shareImage,
    this.shareImageUrl,
    this.textColor,
    this.skipName,
    this.cateTag,
    this.cardBgColor,
    this.cardBorderColor,
    this.scaleImage,
    this.scaleImageUrl,
  });

  CustomShareContentModel.fromJson(Map<String, dynamic> json) {
    super.fromJson(json);
    name = json['name'];
    desc = json['desc'];
    text = json['text'];
    moduleType = json['module_type'];
    moduleKey = json['module_key'];
    isTopMargin = json['is_top_margin'];
    isLeftRightMargin = json['is_left_right_margin'];
    isShow = json['is_show'];
    topMargin = json['top_margin'];
    leftRightMargin = json['left_right_margin'];
    topLeftRadius = json['top_left_radius'];
    topRightRadius = json['top_right_radius'];
    bottomLeftRadius = json['bottom_left_radius'];
    bottomRightRadius = json['bottom_right_radius'];
    bgColor = json['bg_color'];
    isShowShareFriend = json['is_show_share_friend'];
    bgImage = json['bg_image'];
    bgImageUrl = json['bg_image_url'];
    titleImage = json['title_image'];
    titleImageUrl = json['title_image_url'];
    copyImage = json['copy_image'];
    copyImageUrl = json['copy_image_url'];
    copyLongImage = json['copy_long_image'];
    copyLongImageUrl = json['copy_long_image_url'];
    shareImage = json['share_image'];
    shareImageUrl = json['share_image_url'];
    textColor = json['text_color'];
    skipIdentifier = json['skip_identifier'];
    skipName = json['skip_name'];
    requiredLogin = json['required_login'];
    requiredTaobaoAuth = json['required_taobao_auth'];
    isJump = json['is_jump'];
    cateTag = json['cate_tag'];
    cardBgColor = json['card_bg_color'];
    cardBorderColor = json['card_border_color'];
    scaleImage = json['scale_image'];
    scaleImageUrl = json['scale_image_url'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = super.toJson();
    data['name'] = this.name;
    data['desc'] = this.desc;
    data['text'] = this.text;
    data['module_type'] = this.moduleType;
    data['module_key'] = this.moduleKey;
    data['is_top_margin'] = this.isTopMargin;
    data['is_left_right_margin'] = this.isLeftRightMargin;
    data['is_show'] = this.isShow;
    data['top_margin'] = this.topMargin;
    data['left_right_margin'] = this.leftRightMargin;
    data['top_left_radius'] = this.topLeftRadius;
    data['top_right_radius'] = this.topRightRadius;
    data['bottom_left_radius'] = this.bottomLeftRadius;
    data['bottom_right_radius'] = this.bottomRightRadius;
    data['bg_color'] = this.bgColor;
    data['is_show_share_friend'] = this.isShowShareFriend;
    data['bg_image'] = this.bgImage;
    data['bg_image_url'] = this.bgImageUrl;
    data['title_image'] = this.titleImage;
    data['title_image_url'] = this.titleImageUrl;
    data['copy_image'] = this.copyImage;
    data['copy_image_url'] = this.copyImageUrl;
    data['copy_long_image'] = this.copyLongImage;
    data['copy_long_image_url'] = this.copyLongImageUrl;
    data['share_image'] = this.shareImage;
    data['share_image_url'] = this.shareImageUrl;
    data['text_color'] = this.textColor;
    data['skip_identifier'] = this.skipIdentifier;
    data['skip_name'] = this.skipName;
    data['required_login'] = this.requiredLogin;
    data['required_taobao_auth'] = this.requiredTaobaoAuth;
    data['is_jump'] = this.isJump;
    data['cate_tag'] = this.cateTag;
    data['card_bg_color'] = this.cardBgColor;
    data['card_border_color'] = this.cardBorderColor;
    data['scale_image'] = this.scaleImage;
    data['scale_image_url'] = this.scaleImageUrl;
    return data;
  }
}
